Open Lighting Architecture: ola::plugin::usbdmx::SynchronousScanlimeFadecandy Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbdmx::SynchronousScanlimeFadecandy Class Reference

## Detailed Description

An Fadecandy widget that uses synchronous libusb operations.

Internally this spawns a new thread to avoid blocking SendDMX() calls.

Inheritance diagram for ola::plugin::usbdmx::SynchronousScanlimeFadecandy:

## Public Member Functions
| SynchronousScanlimeFadecandy (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device, const std::string &serial)
| Create a new SynchronousScanlimeFadecandy.
bool | Init ()
| Initialize the widget.
bool | SendDMX (const DmxBuffer &buffer)
| Send DMX data from this widget.
Public Member Functions inherited from ola::plugin::usbdmx::ScanlimeFadecandy
| ScanlimeFadecandy (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device, const std::string &serial)
std::string | SerialNumber () const
| Get the serial number of this widget.
Public Member Functions inherited from ola::plugin::usbdmx::SimpleWidget
| SimpleWidget (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device)
| Create a new SimpleWidget.
ola::usb::USBDeviceID | GetDeviceId () const
| The device ID of this widget.

## Additional Inherited Members
Protected Attributes inherited from ola::plugin::usbdmx::SimpleWidget
ola::usb::LibUsbAdaptor *const | m_adaptor
libusb_device *const | m_usb_device

## Constructor & Destructor Documentation

## ◆ SynchronousScanlimeFadecandy()

ola::plugin::usbdmx::SynchronousScanlimeFadecandy::SynchronousScanlimeFadecandy | ( | ola::usb::LibUsbAdaptor * | adaptor,
|  | libusb_device * | usb_device,
|  | const std::string & | serial )

Create a new SynchronousScanlimeFadecandy.

Parameters

  adaptor | the LibUsbAdaptor to use.
  usb_device | the libusb_device to use for the widget.
  serial | the serial number of the widget.

## Member Function Documentation

## ◆ Init()

bool ola::plugin::usbdmx::SynchronousScanlimeFadecandy::Init | ( |  | ) |
| virtual

Initialize the widget.

Returns
  true if this widget was initialized correctly, false otherwise.

Implements ola::plugin::usbdmx::WidgetInterface.

## ◆ SendDMX()

bool ola::plugin::usbdmx::SynchronousScanlimeFadecandy::SendDMX | ( | const DmxBuffer & | buffer | ) |
| virtual

Send DMX data from this widget.

Parameters

  buffer | The DmxBuffer containing the data to send.

Returns
  true if the data was sent, false otherwise.

Implements ola::plugin::usbdmx::WidgetInterface.

The documentation for this class was generated from the following files:

- plugins/usbdmx/ScanlimeFadecandy.h
- plugins/usbdmx/ScanlimeFadecandy.cpp